Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.main
Class InputFile

    java.lang.Object
      rdlc.main.InputFile

    public class InputFile

extends java.lang.Object

Abstracts an input file, taking into account paths and resources as appropriate.

Version:
  $Revision: 1.3 $
Author:
  Greg Gibeling

Field Summary
`protected java.lang.Class` | `inputClass` The java class to use while trying to load a resource.
`protected java.io.File` | `inputPath` The file system path from which to load the file.
`protected java.lang.String` | `name` The name of the resource or file to load.

Constructor Summary
`InputFile(java.lang.Class _inputClass, java.lang.String _name)` Reference a java resource relative to the optional class.
`InputFile(java.io.File _inputPath, java.lang.Class _inputClass, java.lang.String _name)` Reference a resource or file, trying the resource first.
`InputFile(java.io.File _inputPath, java.lang.String _name)` Reference a file system file in the optional path.

Method Summary
`java.io.InputStream` | `getStream()` Open the input file or resource and return an input stream.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inputPath

    protected java.io.File inputPath

  The file system path from which to load the file.

### inputClass

    protected java.lang.Class inputClass

  The java class to use while trying to load a resource.

### name

    protected java.lang.String name

  The name of the resource or file to load.

Constructor Detail

### InputFile

    public InputFile(java.io.File _inputPath,
                     java.lang.String _name)

  Reference a file system file in the optional path.

  Parameters:
    `_inputPath` - The path to load the file from. (Optional)
    `_name` - The name of the file to load.

### InputFile

    public InputFile(java.lang.Class _inputClass,
                     java.lang.String _name)

  Reference a java resource relative to the optional class.

  Parameters:
    `_inputClass` - The class to load the resource from. (Optional)
    `_name` - The name of the resource to load.

### InputFile

    public InputFile(java.io.File _inputPath,
                     java.lang.Class _inputClass,
                     java.lang.String _name)

  Reference a resource or file, trying the resource first.

  Parameters:
    `_inputPath` - The path to load the file from. (Optional)
    `_inputClass` - The class to load the resource from. (Optional)
    `_name` - The name of the resource or file to load.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### getStream

    public java.io.InputStream getStream()

  Open the input file or resource and return an input stream.

  Returns:
    An input stream coming from the file or resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD